Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Files

Create File Upload URL

POST
/v1/files/upload_url

Creates a new file Upload URL.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

purpose*"media_library" | "import_payload"

Purpose value for this resource.

filename*string

Filename value for this resource.

Length1 <= length <= 1024

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/files/upload_url" \  -H "Content-Type: application/json" \  -d '{    "purpose": "media_library",    "filename": "string"  }'
{  "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",  "purpose": "media_library",  "url": "http://example.com",  "expires_at": "2019-08-24T14:15:22Z"}